OrganizationalEntity (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.OrganizationalEntity interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface OrganizationalEntity

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  Account, CitrixUser, Customer, Organization, Person

    public interface OrganizationalEntity

extends ManagedElement

Naming Rules:
  0="globalName" 1="managingEntity,entityName" 2="manager,managingEntity,entityName"
Persistable:
  true
Table Name:
  ORGENTITY
Display Name:
  entityName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`ContactPurpose[]` | `getAssignedContactpurpose()`
`Role[]` | `getAssignedRoles()`
`java.lang.String` | `getBusinessCategory()`
`java.lang.String` | `getCAGECode()` Description: The Commercial and Government Entity code is a five character unique identifier in use for the classification of governments and organizations.
`ContactPurpose[]` | `getContactpurposeOwner()`
`java.lang.String` | `getDUNSNumber()` Description: The Data Universal Numbering System (DUNS) is a nine digit code representing a identifier to a single business entity.
`java.lang.String` | `getEmail()` Deprecated.
`java.lang.String` | `getEntityName()`
`java.lang.String` | `getFax()` Deprecated.
`java.lang.String` | `getGlobalName()`
`java.lang.String` | `getISICCode()` Description: The International Standard Industrial Classification (ISIC) Code is the system for classifying economic data for the United Nations.
`OrganizationalEntity` | `getManager()`
`OrganizationalEntity` | `getManagingEntity()`
`java.lang.String` | `getMobilePhone()` Deprecated.
`java.lang.String` | `getNAICSCode()` Description: The North American Industry Classification System (NAICS) code, used to classify businesses.
`java.lang.String` | `getName()` Deprecated.
`java.lang.String` | `getNAPCSCode()` Description: The North American Product Classification System (NAPCS) code list is a update to the NAICS code to represent a classification of industries.
`java.lang.String` | `getNote()` Deprecated.
`Purpose[]` | `getOwnedPurpose()`
`java.lang.String` | `getSICCode()` The Standard Industrial Classification (SIC) code for a given organization.
`Purpose[]` | `getSupportedPurpose()`
`ContactPurpose[]` | `getSupportingContactPurpose()`
`java.lang.String` | `getTitle()` Deprecated.
`int` | `getType()` Deprecated.
`java.lang.String` | `getURL()` Deprecated.
`java.lang.String` | `getWorkPhone()` Deprecated.
`boolean` | `hasAssignedContactpurpose()`
`boolean` | `hasAssignedRoles()`
`boolean` | `hasBusinessCategory()`
`boolean` | `hasCAGECode()`
`boolean` | `hasContactpurposeOwner()`
`boolean` | `hasDUNSNumber()`
`boolean` | `hasEmail()`
`boolean` | `hasEntityName()`
`boolean` | `hasFax()`
`boolean` | `hasGlobalName()`
`boolean` | `hasISICCode()`
`boolean` | `hasManager()`
`boolean` | `hasManagingEntity()`
`boolean` | `hasMobilePhone()`
`boolean` | `hasNAICSCode()`
`boolean` | `hasName()`
`boolean` | `hasNAPCSCode()`
`boolean` | `hasNote()`
`boolean` | `hasOwnedPurpose()`
`boolean` | `hasSICCode()`
`boolean` | `hasSupportedPurpose()`
`boolean` | `hasSupportingContactPurpose()`
`boolean` | `hasTitle()`
`boolean` | `hasType()`
`boolean` | `hasURL()`
`boolean` | `hasWorkPhone()`
`void` | `setAssignedContactpurpose(ContactPurpose[] x)`
`void` | `setAssignedRoles(Role[] x)`
`void` | `setBusinessCategory(java.lang.String x)`
`void` | `setCAGECode(java.lang.String x)`
`void` | `setContactpurposeOwner(ContactPurpose[] x)`
`void` | `setDUNSNumber(java.lang.String x)`
`void` | `setEmail(java.lang.String x)`
`void` | `setEntityName(java.lang.String x)`
`void` | `setFax(java.lang.String x)`
`void` | `setGlobalName(java.lang.String x)`
`void` | `setISICCode(java.lang.String x)`
`void` | `setManager(OrganizationalEntity mgr)`
`void` | `setManagingEntity(OrganizationalEntity x)`
`void` | `setMobilePhone(java.lang.String x)`
`void` | `setNAICSCode(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNAPCSCode(java.lang.String x)`
`void` | `setNote(java.lang.String x)`
`void` | `setOwnedPurpose(Purpose[] x)`
`void` | `setSICCode(java.lang.String x)`
`void` | `setSupportedPurpose(Purpose[] x)`
`void` | `setSupportingContactPurpose(ContactPurpose[] x)`
`void` | `setTitle(java.lang.String x)`
`void` | `setType(int x)`
`void` | `setURL(java.lang.String x)`
`void` | `setWorkPhone(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String x)

### hasTitle

    boolean hasTitle()

### getGlobalName

    java.lang.String getGlobalName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setGlobalName

    void setGlobalName(java.lang.String x)

### hasGlobalName

    boolean hasGlobalName()

### getDUNSNumber

    java.lang.String getDUNSNumber()
                                   throws AttributeNotSetException

  Description: The Data Universal Numbering System (DUNS) is a nine digit code representing a identifier to a single business entity. This system is under regulation by a US Company Dun and Bradstreet (DandB). The DUNS numbering system is in use globally and includes users such as the European Commisstion, the United Nations, and the United States. Standard Content Origin / Best Practice Content: The value in this attribute must be a exact representation of the nine digit code that represents the particular Organizational Entity. The value in this attribute must be able to be entered in the DUNS section of this website: https://www.bpn.gov/bincs/begin_search.asp Example: 171615198 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setDUNSNumber

    void setDUNSNumber(java.lang.String x)

### hasDUNSNumber

    boolean hasDUNSNumber()

### getEmail

    java.lang.String getEmail()
                              throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setEmail

    void setEmail(java.lang.String x)

### hasEmail

    boolean hasEmail()

### getSupportedPurpose

    Purpose[] getSupportedPurpose()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="false"

### setSupportedPurpose

    void setSupportedPurpose(Purpose[] x)

### hasSupportedPurpose

    boolean hasSupportedPurpose()

### getOwnedPurpose

    Purpose[] getOwnedPurpose()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="false"

### setOwnedPurpose

    void setOwnedPurpose(Purpose[] x)

### hasOwnedPurpose

    boolean hasOwnedPurpose()

### getContactpurposeOwner

    ContactPurpose[] getContactpurposeOwner()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="false"

### setContactpurposeOwner

    void setContactpurposeOwner(ContactPurpose[] x)

### hasContactpurposeOwner

    boolean hasContactpurposeOwner()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getSupportingContactPurpose

    ContactPurpose[] getSupportingContactPurpose()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Supports" reverse="false"

### setSupportingContactPurpose

    void setSupportingContactPurpose(ContactPurpose[] x)

### hasSupportingContactPurpose

    boolean hasSupportingContactPurpose()

### getCAGECode

    java.lang.String getCAGECode()
                                 throws AttributeNotSetException

  Description: The Commercial and Government Entity code is a five character unique identifier in use for the classification of governments and organizations. This classification system is in use by France, the United Kingdom, the United States, and Spain. Standard Content Origin / Best Practice Content: A five character value in the domain of valid values. The origin of the value of this attribute MUST match the set of valid codes from the North American Treaty Organization (NATO) codification system codes. CAGE codes can be searched by going to the website https://www.bpn.gov/bincs/begin_search.asp and enter a value in the CAGE field. Example: 1U0E6 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setCAGECode

    void setCAGECode(java.lang.String x)

### hasCAGECode

    boolean hasCAGECode()

### getAssignedContactpurpose

    ContactPurpose[] getAssignedContactpurpose()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setAssignedContactpurpose

    void setAssignedContactpurpose(ContactPurpose[] x)

### hasAssignedContactpurpose

    boolean hasAssignedContactpurpose()

### getNAICSCode

    java.lang.String getNAICSCode()
                                  throws AttributeNotSetException

  Description: The North American Industry Classification System (NAICS) code, used to classify businesses. The code is in use by Canada, Mexico, and the United States. The numbering system uses a six-digit code. Standard Content Origin / Best Practice Content: The origin of the value of this attribute MUST match the set of valid codes from the United States federal government office of Management and Budget (OMB). NAICS codes can be searched by going to the website http://www.naics.com/search.htm Example: 111110 Unit of Measure: n/a Maximum length (or range): 000000 through 999999

  Throws:
    `AttributeNotSetException`

### setNAICSCode

    void setNAICSCode(java.lang.String x)

### hasNAICSCode

    boolean hasNAICSCode()

### getWorkPhone

    java.lang.String getWorkPhone()
                                  throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setWorkPhone

    void setWorkPhone(java.lang.String x)

### hasWorkPhone

    boolean hasWorkPhone()

### getMobilePhone

    java.lang.String getMobilePhone()
                                    throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setMobilePhone

    void setMobilePhone(java.lang.String x)

### hasMobilePhone

    boolean hasMobilePhone()

### getISICCode

    java.lang.String getISICCode()
                                 throws AttributeNotSetException

  Description: The International Standard Industrial Classification (ISIC) Code is the system for classifying economic data for the United Nations. Also known as the international family of economic and social classifications, the code is comprised of reference classifications that have been registered into the United Nations Inventory of Classifications, reviewed and approved as guidelines by the United Nations Statistical Commission or other competent intergovernmental board on such matters as economics, demographics, labour, health, education, social welfare, geography, environment and tourism. It also includes those classifications on similar subjects that are registered into the Inventory and are derived or related to the reference classifications and are primarily, but not solely, used for regional or national purposes. Standard Content Origin / Best Practice Content: one of the codes that are registered at the United Nations Statistics Division Classifications Registry at the website http://unstats.un.org/unsd/cr/family1.asp and selecting the most recent ISIC list. Example: 2610 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setISICCode

    void setISICCode(java.lang.String x)

### hasISICCode

    boolean hasISICCode()

### getSICCode

    java.lang.String getSICCode()
                                throws AttributeNotSetException

  The Standard Industrial Classification (SIC) code for a given organization. SIC codes are distributed and managed by the United States federal government. This code is in the process of being supplemented by the North American Industry Classification System (NAICS). Standard Content Origin / Best Practice Content: A four digit numeric value in the domain of valid values. The origin of the value of this attribute MUST match the set of valid codes from the United States federal government. SIC codes can be searched by going to the website https://www.bpn.gov/bincs/begin_search.asp and enter a value in the SIC field. Example: 7733 Unit of Measure: n/a Maximum length (or range): 0000 through 9999

  Throws:
    `AttributeNotSetException`

### setSICCode

    void setSICCode(java.lang.String x)

### hasSICCode

    boolean hasSICCode()

### getNote

    java.lang.String getNote()
                             throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setNote

    void setNote(java.lang.String x)

### hasNote

    boolean hasNote()

### getManager

    OrganizationalEntity getManager()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="true"

### setManager

    void setManager(OrganizationalEntity mgr)

### hasManager

    boolean hasManager()

### getEntityName

    java.lang.String getEntityName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEntityName

    void setEntityName(java.lang.String x)

### hasEntityName

    boolean hasEntityName()

### getNAPCSCode

    java.lang.String getNAPCSCode()
                                  throws AttributeNotSetException

  Description: The North American Product Classification System (NAPCS) code list is a update to the NAICS code to represent a classification of industries. This code refects a updated representation in use by Canada, Mexico and the United States. Standard Content Origin / Best Practice Content: The origin of the value of this attribute MUST match the set of valid codes from the list defined at http://www.census.gov/eos/www/napcs/napcs.htm Example: 1.1 Unit of Measure: n/a Maximum length (or range): n/a

  Throws:
    `AttributeNotSetException`

### setNAPCSCode

    void setNAPCSCode(java.lang.String x)

### hasNAPCSCode

    boolean hasNAPCSCode()

### getAssignedRoles

    Role[] getAssignedRoles()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="true"

### setAssignedRoles

    void setAssignedRoles(Role[] x)

### hasAssignedRoles

    boolean hasAssignedRoles()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String x)

### hasURL

    boolean hasURL()

### getType

    int getType()
                throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

### getBusinessCategory

    java.lang.String getBusinessCategory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBusinessCategory

    void setBusinessCategory(java.lang.String x)

### hasBusinessCategory

    boolean hasBusinessCategory()

### getManagingEntity

    OrganizationalEntity getManagingEntity()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setManagingEntity

    void setManagingEntity(OrganizationalEntity x)

### hasManagingEntity

    boolean hasManagingEntity()

### getFax

    java.lang.String getFax()
                            throws AttributeNotSetException

  Deprecated.

  This attribute is deprecated by the implementation of the admin.Contact, admin.ContactPurpose classes in the Common Data Model. Do not use in new applications of this class.

  Throws:
    `AttributeNotSetException`

### setFax

    void setFax(java.lang.String x)

### hasFax

    boolean hasFax()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD